Subject: Re: bug#14616: 24.3.50; Excessive cursor movement on non-X Emacs

From: Lars Magne Ingebrigtsen <[email-masked]>
Date: Fri, 14 Jun 2013 10:05:17 +0200

Lars Magne Ingebrigtsen <[email-masked]> writes:

> I don't have a test case for this bug, I'm afraid, but here's what I'm
> seeing:

Oh, I just noticed from the trace.  This is repeated, time and time and
time again:

[pid 21916]      0.000091 write(4, "\33[27;1H\33[K\33[H\33[?25l\33[33mR  [  41"..., 123) = 123
[pid 21916]      0.000161 write(4, "\r\n\33[33mR  \33[39;49m\33[4m\33[33m[  55"..., 916) = 916
[pid 21916]      0.000111 write(4, "\r\n\33[K\nRails ships with a default"..., 287) = 287
[pid 21916]      0.000140 write(4, "\n* \33[1mBeta:\33[0m For testing fea"..., 675) = 675

"Rails ships with a default" is the text that's displayed on the
screen.  So it seems to be repainting the entire screen over and over
and over again?

That tallies with my surmise that Emacs was generating a lot a data
traffic.

-- 
(domestic pets only, the antidote for overdose, milk.)
  bloggy blog http://lars.ingebrigtsen.no/